#include <windows.h>
#include <string.h>
#include "FarHeaders\plugin.hpp"

#pragma hdrstop

#include "utils.h"
#include "TextMessages.h"
#include "MsgBox.h"
#include "Registry.h"

#include "ModuleWork.h"

struct PluginStartupInfo Info;
                                     
//---------------------------------------------------------------------------
#pragma argsused
int WINAPI DllEntryPoint(HINSTANCE hinst, unsigned long reason, void* lpReserved)
{
//if ( IsDebuggerPresent() ) DebugBreak();
  return 1;
}

//---------------------------------------------------------------------------
/*   SetStartupInfo   ,  
     .    ,
       .
*/
void WINAPI _export SetStartupInfo(const struct PluginStartupInfo *psi)
{
  Info=*psi;

  strcpy(PluginRootKey, Info.RootKey);
  strcat(PluginRootKey, "\\kvmodule");
}

//---------------------------------------------------------------------------
/*   GetPluginInfo    
    (general)   
*/
void WINAPI _export GetPluginInfo(struct PluginInfo *pi)
{
  pi->StructSize = sizeof(struct PluginInfo);

  static char *PluginMenuStrings[1];
  PluginMenuStrings[0] = GetMsg(MTitle);
  pi->PluginMenuStrings = PluginMenuStrings;
  pi->PluginMenuStringsNumber = sizeof(PluginMenuStrings) / sizeof(PluginMenuStrings[0]);
}

//---------------------------------------------------------------------------
/*   OpenPlugin      . */
HANDLE WINAPI _export OpenPlugin(int OpenFrom, int item)
{
  RunModuleCreation();
  
  return  INVALID_HANDLE_VALUE;
}


